Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # rgb_to_luminance_fn Struct Template Reference `#include <color_convert.hpp>` List of all members. ## Detailed Description ### template<typename RedChannel, typename GreenChannel, typename BlueChannel, typename GrayChannelValue> struct boost::gil::detail::rgb_to_luminance_fn< RedChannel, GreenChannel, BlueChannel, GrayChannelValue > red * .3 + green * .59 + blue * .11 + .5
## Public Member Functions
GrayChannelValue | operator() (const RedChannel &red, const GreenChannel &green, const BlueChannel &blue) const
The documentation for this struct was generated from the following file: color_convert.hpp